#! /usr/bin/env python3

"""
API Test for DYB_Write
(C) 2019 Micron Technology, Inc. All rights reserved.
"""

import pytest

import conftest

@pytest.fixture(scope="module", autouse=True)
def test_dyb_write_setup(request):
  global device
  device = conftest.get_device(request)

  yield

def test_dyb_write_Positive():
  with device:
    addr = 0xe40000

    ret = device.meta_dyb_write(True, addr)
    assert(ret)

    ret = device.meta_dyb_write(False, addr)
    assert(ret)
