#! /usr/bin/env python3

"""
API Test for PPB_Lock_Bit_Read
(C) 2019 Micron Technology, Inc. All rights reserved.
"""

import pytest

import conftest

@pytest.fixture(scope="module", autouse=True)
def test_ppb_lock_bit_read_setup(request):
  global device
  device = conftest.get_device(request)

  yield

def test_ppb_lock_bit_read_Positive():
  with device:
    ret, response = device.meta_ppb_lock_bit_read()
    assert(ret)
    assert(response is not None)
