#! /usr/bin/env python3

"""
API Test for DYB_Read
(C) 2019 Micron Technology, Inc. All rights reserved.
"""

import pytest

import conftest

@pytest.fixture(scope="module", autouse=True)
def test_dyb_read_setup(request):
  global device
  device = conftest.get_device(request)

  yield

def test_dyb_read_Positive():
  with device:
    addr = 0xe40000

    ret = device.meta_dyb_read(addr)
    assert(ret)
