#! /usr/bin/env python3

"""
API Test for Fast_Read
(C) 2019 Micron Technology, Inc. All rights reserved.
"""

import pytest

import conftest

@pytest.fixture(scope="module", autouse=True)
def test_fast_read_setup(request):
  global device
  device = conftest.get_device(request)

  yield

def test_fast_read_Positive():
  with device:
    addr = 0xe40000

    ret, response = device.meta_fast_read(addr)
    assert(ret)
    assert(response is not None)
