#! /usr/bin/env python3

"""
API Test for PPB_Lock_Bit_Write
(C) 2019 Micron Technology, Inc. All rights reserved.
"""

import pytest

import conftest

@pytest.fixture(scope="module", autouse=True)
def test_ppb_lock_bit_write_setup(request):
  global device
  device = conftest.get_device(request)

  yield

def test_ppb_lock_bit_write_Positive():
  with device:
    ret = device.meta_ppb_lock_bit_write()
    assert(ret)
