#! /usr/bin/env python3

"""
API Test for Read_Status_Register
(C) 2019 Micron Technology, Inc. All rights reserved.
"""

import pytest

import conftest

@pytest.fixture(scope="module", autouse=True)
def test_read_status_register_setup(request):
  global device
  device = conftest.get_device(request)

  yield

def test_read_status_register_Positive():
  with device:
    ret, response = device.meta_read_status_register()
    assert(ret)
    assert(response is not None)