#! /usr/bin/env python3

"""
API Test for Subsector_Erase
(C) 2019 Micron Technology, Inc. All rights reserved.
"""

import pytest

import conftest

@pytest.fixture(scope="module", autouse=True)
def test_subsector_erase_setup(request):
  global device
  device = conftest.get_device(request)

  yield

def test_subsector_erase_Positive():
  with device:
    addr = 0xe40000

    ret = device.meta_dyb_write(False, addr)
    assert(ret)

    ret = device.meta_subsector_erase(addr)
    assert(ret)
